%define upstream_name    BBS-Perm
%define upstream_version 1.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    A feed plugin for BBS::Perm
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/BBS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Expect)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(File::Which)
BuildRequires: perl(Gnome2::Vte)
BuildRequires: perl(IO::Pty)
BuildRequires: perl(IO::Stty)
BuildRequires: perl(IP::QQWry)
BuildRequires: perl(Regexp::Common)
BuildRequires: perl(UNIVERSAL::moniker)
BuildRequires: perl(YAML::Syck)
BuildArch: noarch

%description
'Perm' means 'Perl' + 'Term' here.

here is a list the BBS::Perm manpage can supply:

1. multiple terminals and quickly switch between them.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc README Changes LICENSE META.yml examples
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/bbs-perm
/usr/bin/bbs-perm-agent
/usr/bin/bbs-perm-config



%changelog
* Tue Jul 11 2017 bb2 <bb2> - 1.10.0-8pclos2017
- rebuild against updates

